petsc-3.4.2 2013-07-02

# DMPlexGetDepth

get the number of strata

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetDepth(DM dm, PetscInt *depth)

Not Collective

### Input Parameters

dm -The DMPlex object

### Output Parameters

depth -number of strata

### Notes

DMPlexGetHeightStratum(dm,0,..) should return the same points as DMPlexGetDepthStratum(dm,depth,..).

### Keywords

mesh, points

### See Also

DMPlexGetHeightStratum(), DMPlexGetDepthStratum()

Level:developer
Location:src/dm/impls/plex/plex.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages